
\section{Analysis}
\subsection{Domain Model}
The domain model is relatively simple:
\begin{figure}[h!]
  \center
  \includegraphics[width=0.75\textwidth]{images/domain-model.png}
  \caption{Domain Model}
\end{figure}
 

\subsection{Use Cases}
The use cases define the minimum viable product (MVP) of the application.

\paragraph{Use Case List}
\begin{itemize}
	\vspace{-1em}
	\itemsep -0.2em
	\item User can create a new Kanban board
	\item User can give the board a name
	\item User can see an overview of the Kanban board
	\item User can create buckets on the board
	\item User can change the name of a bucket
	\item User can delete buckets
	\item User can share the link for their board with other people
	\item User can create new items inside a bucket
	\item User can drag and drop items between buckets
	\item User can reorder items in a bucket via drag and drop
	\item User can edit items
	\item User can delete items
	\item User can immediately see the changes of other users on the board
\end{itemize}

\paragraph{Possible Expansions}
\begin{itemize}
	\vspace{-1em}
	\itemsep -0.2em
	\item User can create tags for the board
	\item User can edit tags of the board
	\item User can assign tags to items
	\item User can filter based on tags
	\item User can assign tasks to a specific user
	\item User can view metrics of the Kanban board
	\item User can close/delete a board
	\item User can create a read-only, shareable link to the board
	\item User can password protect a board
	\item User can view board collection
\end{itemize}
